# Uses of Interface
org.eclipse.equinox.p2.metadata.IArtifactKey

Packages that use IArtifactKey
Package
Description
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.

## Uses of IArtifactKey in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return types with arguments of type IArtifactKey
Modifier and Type
Method
Description
`IQueryable<IArtifactKey>`
ProvisioningContext.`getArtifactKeys(IProgressMonitor monitor)`
Returns a queryable that can be used to obtain any artifact keys that are needed for the provisioning operation.

## Uses of IArtifactKey in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return types with arguments of type IArtifactKey
Modifier and Type
Method
Description
`Collection<IArtifactKey>`
IInstallableUnit.`getArtifacts()`
Returns the collection of artifacts associated with this installable unit.
Methods in org.eclipse.equinox.p2.metadata with parameters of type IArtifactKey
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`setArtifacts(IArtifactKey[] value)`
Set the artifact keys for the installable unit.

## Uses of IArtifactKey in org.eclipse.equinox.p2.repository.artifact

Methods in org.eclipse.equinox.p2.repository.artifact that return IArtifactKey
Modifier and Type
Method
Description
`IArtifactKey`
IArtifactRepository.`createArtifactKey(String classifier, String id, Version version)`
Create an instance of `IArtifactKey`
`IArtifactKey`
IArtifactDescriptor.`getArtifactKey()`
Return the key for the artifact described by this descriptor.
`IArtifactKey`
IArtifactRequest.`getArtifactKey()`
Returns the key for the artifact that is being requested
Methods in org.eclipse.equinox.p2.repository.artifact with parameters of type IArtifactKey
Modifier and Type
Method
Description
`boolean`
IArtifactRepository.`contains(IArtifactKey key)`
Returns true if this repository contains the given artifact key.
`IArtifactDescriptor`
IArtifactRepository.`createArtifactDescriptor(IArtifactKey key)`
Create an instance of `IArtifactDescriptor` based on the given key
`IArtifactRequest`
IArtifactRepositoryManager.`createMirrorRequest(IArtifactKey key, IArtifactRepository destination, Map<String,String> destinationDescriptorProperties, Map<String,String> destinationRepositoryProperties)`
Return a new request to mirror the given artifact into the destination repository.
`IArtifactRequest`
IArtifactRepositoryManager.`createMirrorRequest(IArtifactKey key, IArtifactRepository destination, Map<String,String> destinationDescriptorProperties, Map<String,String> destinationRepositoryProperties, String downloadStatsParameters)`
Return a new request to mirror the given artifact into the destination repository.
`IArtifactDescriptor[]`
IArtifactRepository.`getArtifactDescriptors(IArtifactKey key)`
Return the set of artifact descriptors describing the ways that this repository can supply the artifact associated with the given artifact key
`File`
IFileArtifactRepository.`getArtifactFile(IArtifactKey key)`
Return the location of the full local file corresponding to the given artifact key to the given key, or `null` if not available.
`void`
IArtifactRepository.`removeDescriptor(IArtifactKey key)`
Deprecated.
See `IArtifactRepository.removeDescriptor(IArtifactKey, IProgressMonitor)`
`void`
IArtifactRepository.`removeDescriptor(IArtifactKey key, IProgressMonitor monitor)`
Remove the given key and all related content and descriptors from this repository.
`void`
IArtifactRepository.`removeDescriptors(IArtifactKey[] keys)`
Deprecated.
See `IArtifactRepository.removeDescriptors(IArtifactKey[], IProgressMonitor)`
`void`
IArtifactRepository.`removeDescriptors(IArtifactKey[] keys, IProgressMonitor monitor)`
Remove the given list of keys and all related content and descriptors from this repository.
Constructors in org.eclipse.equinox.p2.repository.artifact with parameters of type IArtifactKey
Modifier
Constructor
Description
``
`ArtifactDescriptorQuery(IArtifactKey key)`
The query will match descriptors whose `id` and `versionRange` match the supplied key
``
`ArtifactKeyQuery(IArtifactKey key)`
Creates an artifact key query that will match any key equal to the provided key

## Uses of IArtifactKey in org.eclipse.equinox.p2.repository.artifact.spi

Fields in org.eclipse.equinox.p2.repository.artifact.spi declared as IArtifactKey
Modifier and Type
Field
Description
`protected IArtifactKey`
ArtifactDescriptor.`key`
Methods in org.eclipse.equinox.p2.repository.artifact.spi that return IArtifactKey
Modifier and Type
Method
Description
`IArtifactKey`
AbstractArtifactRepository.`createArtifactKey(String classifier, String id, Version version)`
`IArtifactKey`
ArtifactDescriptor.`getArtifactKey()`
Methods in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IArtifactKey
Modifier and Type
Method
Description
`abstract boolean`
AbstractArtifactRepository.`contains(IArtifactKey key)`
`IArtifactDescriptor`
AbstractArtifactRepository.`createArtifactDescriptor(IArtifactKey key)`
`abstract IArtifactDescriptor[]`
AbstractArtifactRepository.`getArtifactDescriptors(IArtifactKey key)`
`void`
AbstractArtifactRepository.`removeDescriptor(IArtifactKey key)`
Deprecated.
Use `AbstractArtifactRepository.removeDescriptor(IArtifactKey, IProgressMonitor)` instead.
`void`
AbstractArtifactRepository.`removeDescriptor(IArtifactKey key, IProgressMonitor monitor)`
Remove the given key and all related content and descriptors from this repository.
`void`
AbstractArtifactRepository.`removeDescriptors(IArtifactKey[] keys)`
Deprecated.
Use `AbstractArtifactRepository.removeDescriptors(IArtifactKey[], IProgressMonitor)` instead.
`void`
AbstractArtifactRepository.`removeDescriptors(IArtifactKey[] keys, IProgressMonitor monitor)`
Remove the given list of keys and all related content and descriptors from this repository.
Method parameters in org.eclipse.equinox.p2.repository.artifact.spi with type arguments of type IArtifactKey
Modifier and Type
Method
Description
`UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.
`UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.
`static UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(UIServices uiServices, Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.
`static UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(UIServices uiServices, Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.
Constructors in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IArtifactKey
Modifier
Constructor
Description
``
`ArtifactDescriptor(IArtifactKey key)`
Returns a new artifact descriptor that uses the provided artifact key